# link with shared libs
%bcond_without dynamic

# ghc does not emit debug information
%global debug_package %{nil}

Name:           bluetile
Version:        0.5.3
Release:        1%{?dist}
Summary:        Tiling window manager for GNOME

Group:          User Interface/X
License:        BSD
URL:            http://www.bluetile.org/
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}-session.desktop
Source2:        %{name}.desktop
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc
BuildRequires:  ghc-rpm-macros >= 0.7.0
BuildRequires:  ghc-xmonad-contrib-devel, ghc-gtk-devel, ghc-glade-devel

%description
Bluetile is a tiling window manager for Linux, designed to integrate with
the GNOME desktop environment. It provides both a traditional, stacking layout
mode as well as tiling layouts where windows are arranged to use the entire
screen without overlapping. Bluetile tries to make the tiling paradigm easily
accessible to users coming from traditional window managers by drawing on known
conventions and providing both mouse and keyboard access for all features. 


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install

install -p -m 0644 -D %SOURCE1 %{buildroot}%{_datadir}/xsessions/%{name}.desktop
install -p -m 0644 -D %SOURCE2 %{buildroot}%{_datadir}/applications/%{name}.desktop



%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/gnome-%{name}-session
%{_libexecdir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/xsessions/%{name}.desktop
%{_datadir}/%{name}-%{version}


%changelog
* Mon Sep 13 2010 Jens Petersen <petersen@redhat.com> - 0.5.3-1
- BSD license
- homepage url
- BR xmonad-contrib, gtk, glade haskell libs
- add .desktop files like those in xmonad

* Mon Sep 13 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5.3-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
